> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Publishes a whiteboard. Schema-validates the DiagramData JSON before delegating to the downstream publish flow ## OpenAPI ````json POST /whiteboard/publish { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS (legacy)" }, { "name": "CMS Blocks" }, { "name": "CMS Frameworks" }, { "name": "CMS Messages" }, { "name": "CMS Templates" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/whiteboard/publish": { "post": { "tags": [ "Whiteboard" ], "summary": "Publishes a whiteboard. Schema-validates the DiagramData JSON before delegating to the downstream publish flow.", "description": "", "operationId": "publish", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AgentPublishPayload" } } }, "x-bodyName": "body" }, "responses": { "200": { "description": "The structured activation result.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ActivationResult" } } } }, "400": { "description": "The supplied DiagramData JSON failed schema validation, or no whiteboard exists for the specified id.", "content": { "application/json": {} } } } } } }, "components": { "schemas": { "AgentPublishPayload": { "type": "object", "properties": { "automationId": { "type": "integer", "format": "int64" }, "diagramJson": { "type": "string" } } }, "ActivationResult": { "type": "object", "properties": { "status": { "type": "string" }, "lastUpdateDate": { "type": "integer", "format": "int64" }, "errors": { "type": "array", "items": { "$ref": "#/components/schemas/WhiteboardValidationError" } }, "version": { "type": "integer", "format": "int32" } } }, "WhiteboardValidationError": { "type": "object", "properties": { "stepId": { "type": "string" }, "goal": { "type": "boolean", "default": false }, "error": { "type": "string" }, "param": { "type": "string" }, "value": { "type": "string" } } } } } } ````